import React, { Component } from 'react';
import { Switch, Popover } from 'antd';
import Icon from '@/submodule/components/IconFont';
import _ from 'lodash';
import s from './index.less';
import hideIcon from '@/assets/airTable/hide.png';
/**
 * 操作栏显隐控制
 * 参数
 * @configs  操作栏配置
 * @columns  表头列表配置
 * @onChange 显隐变化回调
 */
export default class Hide extends Component {
    constructor(props) {
        super(props);
        this.state = {
            visible: false,
            columnConfig: props.columnConfig,
        };
    }



    toggleOption = () => {
        const { visible } = this.state;
        this.setState({
            visible: !visible,
        });
    };

    renderContent = () => {
        const { columnConfig = [] } = this.state;
        const { conditions } = this.props;
        return (
            <div className={s.optionsModal}>
                <div className={s.optionList}>
                    {conditions.map((item, i) => {
                        return (
                            <div
                                key={i}
                                role="presentation"
                                className={s.optionItem}
                            // onClick={this.changeHide.bind(this, i, Number(item.showStatus) === 1 ? 0 : 1)}
                            >
                                <Switch checked={true} size="small" />
                                <span className={s.optionName}>{item.label}</span>
                            </div>
                        );
                    })}
                </div>
            </div>
        );
    };

    render() {
        return (
            <Popover
                overlayClassName={s.popover}
                placement="topLeft"
                content={this.renderContent()}
                // visible={visible}
                onVisibleChange={this.toggleOption}
                trigger="click"
            >
                <span className={s.addBtn}><Icon iconFontType="iconxinzeng" /> 添加筛选条件</span>
            </Popover>
        );
    }
}
